Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::FillSignObject Class Reference
Inheritance diagram for foxit::pdf::FillSignObject:

## Public Member Functions
| FillSignObject ()
| Constructor.
| FillSignObject (const FillSignObject &other)
| Constructor, with another fill-sign object. More...
virtual | ~FillSignObject ()
| Destructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect () const
| Get rectangle, in PDF coordinate system. More...
FillSign::FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
void | Move (const PointF &point, float width, float height, common::Rotation rotation=common::e_Rotation0)
| Move current fill-sign object. More...
bool | operator!= (const FillSignObject &other) const
| Not equal operator. More...
FillSignObject & | operator= (const FillSignObject &other)
| Assign operator. More...
bool | operator== (const FillSignObject &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Class FillSignObject is the base class for all kinds of fill-sign object. This class offers base functions to get type, to move a fill-sign object or to generate content for a fill-sign object.

## Constructor & Destructor Documentation

## ◆ FillSignObject()

foxit::pdf::FillSignObject::FillSignObject | ( | const FillSignObject & | other | ) |

Constructor, with another fill-sign object.

Parameters

  [in] | other | Another fill-sign object.

## Member Function Documentation

## ◆ GenerateContent()

bool foxit::pdf::FillSignObject::GenerateContent | ( |  | ) |

Generate content for current fill-sign object.

For fill-sign object with type FillSign::e_FillSignObjectTypeSignature or FillSign::e_FillSignObjectTypeInitialsSignature, function SignatureFillSignObject::SetBitmap should be called first.

Returns
  true means success, while false means failure.

## ◆ GetRect()

RectF foxit::pdf::FillSignObject::GetRect | ( |  | ) | const

Get rectangle, in PDF coordinate system.

Returns
  Fill-sign object rectangle. If there is no rectangle information, a RectF object with all 0 values would be returned.

## ◆ GetType()

FillSign::FillSignObjectType foxit::pdf::FillSignObject::GetType | ( |  | ) |

Get fill-sign type.

Returns
  Fill-sign type. Please refer to values starting from FillSign::e_FillSignObjectTypeText and this would be one of these values.

## ◆ IsEmpty()

bool foxit::pdf::FillSignObject::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Move()

void foxit::pdf::FillSignObject::Move | ( | const PointF & | point,
|  | float | width,
|  | float | height,
|  | common::Rotation | rotation = `common::e_Rotation0`
| ) |  |

Move current fill-sign object.

- If to add a fill-sign object with type FillSign::e_FillSignObjectTypeCrossMark, FillSign::e_FillSignObjectTypeCheckMark, FillSign::e_FillSignObjectTypeLine or FillSign::e_FillSignObjectTypeDot, the bigger value of input width and height will be used as both width and height as the moving result.
- If to move a fill-sign object with type FillSign::e_FillSignObjectTypeLine, input height is useless and will be ignored.
- This function does not support to move a fill-sign object with FillSign::e_FillSignObjectTypeSignature or FillSign::e_FillSignObjectTypeInitialsSignature. For this case, exception e_ErrUnsupported will be thrown.

Parameters

  [in] | point | New left-bottom point for current fill-sign object, in PDF coordinate system.
  [in] | width | New width for current fill-sign object.
  [in] | height | New height for current fill-sign object.
  [in] | rotation | Rotation status information. This rotation value includes the view rotation and page rotation property information. Please refer to values starting from common::e_Rotation0 and this should be one of these values except common::e_RotationUnknown.

Returns
  None.

## ◆ operator!=()

bool foxit::pdf::FillSignObject::operator!= | ( | const FillSignObject & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another fill-sign object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

FillSignObject& foxit::pdf::FillSignObject::operator= | ( | const FillSignObject & | other | ) |

Assign operator.

Parameters

  [in] | other | Another fill-sign object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::FillSignObject::operator== | ( | const FillSignObject & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another fill-sign object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.